> For the complete documentation index, see [llms.txt](https://apidocs.api19.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.api19.com/campaigns/create-10dlc-campaign.md).

# Create 10DLC Campaign

{% hint style="info" %}
<https://v1.api19.com/campaigns/campaign/create>
{% endhint %}

Create a new 10DLC campaign

{% tabs %}
{% tab title="Curl Post" %}
{% code title="curl" %}

```bash
curl https://v1.api19.com/campaigns/campaign/create \
 -d 'key=api_token' \
 -d 'brand_id=B1A2C3D4E5' \
 -d 'campaign_description=Customer notifications and alerts' \
 -d 'call_to_action=Reply YES to confirm' \
 -d 'sample_message_1=Your order #12345 has shipped' \
 -d 'opted_in_start=START' \
 -d 'opted_in_stop=STOP' \
 -d 'opted_in_help=HELP' \
 -d 'use_case_type=2FA'
```

{% endcode %}
{% endtab %}

{% tab title="JSON Response" %}
{% code title="response.json" %}

```json
{
	"status": "ok",
	"campaign_id": "string"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Required Parameters

* `brand_id` (required) - 10DLC Brand ID
* `campaign_description` (required) - Description of the campaign
* `call_to_action` (required) - Call to action for subscribers
* `sample_message_1` (required) - Sample message
* `opted_in_start` (required) - Opt-in start message
* `opted_in_stop` (required) - Opt-in stop message
* `opted_in_help` (required) - Opt-in help message
* `use_case_type` (required) - Campaign use case type
* `mixed_use_cases` - (required when use\_case\_type is MIXED) Select up to 5 sub use cases. Comma separated string (e.g. "2FA, ACCOUNT\_NOTIFICATION, DELIVERY\_NOTIFICATION")

## Optional Parameters

* `mms-upload` - MMS media URL
* `sample_message_2` - Additional sample message
* `sample_message_3` - Additional sample message
* `sample_message_4` - Additional sample message
* `sample_message_5` - Additional sample message
* `keywords_start` - Keywords for start
* `keywords_stop` - Keywords for stop
* `keywords_help` - Keywords for help
* `accept_links` - Whether campaign accepts links
* `email_domain_name` - Email domain name
* `accept_phone_numbers` - Whether campaign accepts phone numbers
* `accept_loans` - Whether campaign involves loans
* `accept_age_gated` - Whether campaign is age-gated

Available Use Case Types:

* MIXED
* 2FA
* ACCOUNT\_NOTIFICATION
* AGENTS\_FRANCHISES
* CARRIER\_EXEMPT
* CHARITY
* CUSTOMER\_CARE
* DELIVERY\_NOTIFICATION
* EMERGENCY
* FRAUD\_ALERT
* HIGHER\_EDUCATION
* K12\_EDUCATION
* LOW\_VOLUME
* M2M
* MARKETING
* POLITICAL
* POLLING\_VOTING
* PROXY
* PUBLIC\_SERVICE\_ANNOUNCEMENT
* SECURITY\_ALERT
* SOCIAL
* SOLE\_PROPRIETOR
* SWEEPSTAKE
* UCAAS\_HIGH
* UCAAS\_LOW


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/campaigns/create-10dlc-campaign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
